//---------------------------------------------------------------------------
#ifndef AddressDlgsH
#define AddressDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ComCtrls.hpp>
#include "headman.h"
#include "MsgWins.h"
//---------------------------------------------------------------------------
bool __fastcall GetMailRecipients(TMessageWin *Msgwin);

class TAddressDlg : public TForm
{
__published:	// IDE-managed Components
  TButton *OkBtn;
  TButton *CancelBtn;
  TPageControl *PageControl1;
  TTabSheet *TabSheet1;
  TPanel *Panel3;
  TListBox *AddrsList;
  TGroupBox *GroupBox1;
  TRadioButton *ToBtn;
  TRadioButton *CcBtn;
  TRadioButton *BcBtn;
  TTabSheet *TabSheet2;
  TPanel *Panel1;
  TListBox *GrpsList;
  TGroupBox *GroupBox2;
  TRadioButton *GroupsBtn;
  TButton *HelpBtn;
  TSpeedButton *EditAddrBtn;
  TSpeedButton *EditGrpsBtn;
	void __fastcall AddrsListDblClick(TObject *Sender);
	void __fastcall EditAddrBtnClick(TObject *Sender);
  void __fastcall EditGrpsBtnClick(TObject *Sender);
  void __fastcall PageControl1Change(TObject *Sender);
  void __fastcall PageControl1Changing(TObject *Sender, bool &AllowChange);
  void __fastcall HelpBtnClick(TObject *Sender);
  void __fastcall GrpsListClick(TObject *Sender);
  void __fastcall AddrsListClick(TObject *Sender);
  void __fastcall ToBtnClick(TObject *Sender);
  void __fastcall CcBtnClick(TObject *Sender);
  void __fastcall BcBtnClick(TObject *Sender);
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall GroupsBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  TRichEdit *Ed;
  bool Modified;
  TStringList *Items;
  AnsiString Hdrname;
  TMessageWin *Msgwin;
  THeaderManager *Headman;
  TStringList *OrgHeaders;
	__fastcall TAddressDlg(TComponent* Owner);
  __fastcall virtual ~TAddressDlg();
  bool __fastcall GetRecipients(TStrings *Addresses);
  void __fastcall SetHeader(AnsiString &Name);
  void __fastcall SetChkdHeader();
  void __fastcall GetHeader(AnsiString &Name);
  void __fastcall GetChkdHeader();
  int  __fastcall GetHeaderPosAndDelete(AnsiString &Header);
  void __fastcall ClearSelected(TListBox *list);
  void __fastcall ParseItems(AnsiString &Hdrline);
  bool __fastcall Execute();
};

const AnsiString Newsgroups = "Newsgroups";
const AnsiString General = "General";
//---------------------------------------------------------------------------
extern TAddressDlg *AddressDlg;
//---------------------------------------------------------------------------
#endif
